#
# spec file for package python-simplejson (Version 2.1.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        Simple, fast, extensible JSON encoder/decoder for Python

Name:           python-simplejson
Version:        2.1.1
Release:        3.1
License:        BSD
Url:            http://undefined.org/python/#simplejson
Group:          Development/Libraries/Python
Source:         simplejson-%{version}.tar.bz2
%if 0%{?suse_version} >= 1030
BuildRequires:  fdupes
%endif
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python 2.3+. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.

%package doc
License:        BSD
Summary:        Documentation for simplejson
Group:          Development/Libraries/Python
Requires:       %name = %version

%description doc
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python 2.3+. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.

This package contains documentation for simplejson.

%prep
%setup -q -n simplejson-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%if 0%{?suse_version} >= 1030
%fdupes %{buildroot}
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE.txt CHANGES.txt
%{py_sitedir}*

%files doc
%defattr(0644, root, root, 0755)
%doc docs index.rst

%changelog
* Mon Jul  5 2010 alexandre@exatati.com.br
- Update to 2.1.1:
  * Corrected simplejson.__version__ and other minor doc changes.
  * Do not fail speedups tests if speedups could not be built.
  * Decimal serialization officially supported for encoding with
  use_decimal=True. For encoding this encodes Decimal objects and
  for decoding it implies parse_float=Decimal
  * Decoding performance and memory utilization enhancements
  ... see CHANGES.txt for more
- Spec file cleaned with spec-cleaner.
* Mon May 25 2009 James Oakley <jfunk@funktronics.ca>
- Update to 2.0.9
- Split off doc package
* Wed Dec  3 2008 James Oakley <jfunk@funktronics.ca>
- Update to 2.0.5
* Wed Mar 19 2008 James Oakley <jfunk@funktronics.ca>
- Update to 1.7.5
* Tue Oct 30 2007 James Oakley <jfunk@funktronics.ca>
- Update to 1.7.3
  Sun Sep 09 00:00:00 UTC 2007 - Peter Nixon
- first build
